Index: TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java
===================================================================
--- TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 3603)
+++ TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 3604)
@@ -48,6 +48,7 @@
 import org.txm.rcp.commands.ShowSelected;
 import org.txm.rcp.editors.CommandLink;
 import org.txm.rcp.editors.TXMBrowserEditor;
+import org.txm.rcp.editors.menu.PagePropertiesMenu;
 import org.txm.rcp.utils.IOClipboard;
 import org.txm.utils.io.IOUtils;
 import org.txm.utils.logger.Log;
@@ -1561,29 +1562,7 @@
 					public void widgetDefaultSelected(SelectionEvent e) {}
 				});
 				
-				MenuItem propertiesItem = new MenuItem(menu, SWT.NONE);
-				propertiesItem.setText("Page properties");
-				propertiesItem.addSelectionListener(new SelectionListener() {
-					
-					@Override
-					public void widgetSelected(SelectionEvent e) {
-						try {
-							String url = getURL();
-							if (url.startsWith("http://")) {
-								System.out.println(url);
-							} else {
-								ShowSelected.print(Paths.get(new URL(url).toURI()).toFile());
-							}
-						}
-						catch (Exception e1) {
-							// TODO Auto-generated catch block
-							e1.printStackTrace();
-						}
-					}
-					
-					@Override
-					public void widgetDefaultSelected(SelectionEvent e) {}
-				});
+				MenuItem propertiesItem = new PagePropertiesMenu(getBrowser(), menu, SWT.NONE);
 			}
 			
 			@Override
Index: TXM/trunk/org.txm.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.rcp/META-INF/MANIFEST.MF	(revision 3603)
+++ TXM/trunk/org.txm.rcp/META-INF/MANIFEST.MF	(revision 3604)
@@ -56,6 +56,7 @@
  org.junit.runners,
  org.junit.runners.model,
  org.txm.rcp,
+ org.txm.rcp.InstallationPage,
  org.txm.rcp.actions,
  org.txm.rcp.adapters,
  org.txm.rcp.commands,
@@ -70,6 +71,7 @@
  org.txm.rcp.editors.imports.sections,
  org.txm.rcp.editors.input,
  org.txm.rcp.editors.listeners,
+ org.txm.rcp.editors.menu,
  org.txm.rcp.handlers,
  org.txm.rcp.handlers.export,
  org.txm.rcp.handlers.files,
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 3603)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 3604)
@@ -743,3 +743,4 @@
 YouReGoingToLostThoseModificationsIfNotAlreadyExportedContinue=Vous allez perdre vos modifications manuelles du résultat. Continuer ?
 zoomInAmpoutColonMouseWheelORShiftPlusRightMousePlusDrag=\ Zoom +/- \: Roulette OU Maj + Clic Droit + Glisser 
 zoomToSelectionColonCtrlPlusLeftMousePlusdrag=\ Zoomer sur la sélection \: Ctrl + Clic Gauche + Glisser 
+pageProperties=Propriétés de la page
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3603)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3604)
@@ -1492,6 +1492,8 @@
 	public static String corpusToProcess;
 	
 	public static String textsToProcess;
+
+	public static String pageProperties;
 	
 	static {
 		// initialize resource bundle
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 3603)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 3604)
@@ -742,3 +742,4 @@
 YouReGoingToLostThoseModificationsIfNotAlreadyExportedContinue=You're going to lose your manual modifications of the result. Continue?
 zoomInAmpoutColonMouseWheelORShiftPlusRightMousePlusDrag=\ Zoom +/-\: Mouse wheel OR Shift + Right Mouse + Drag 
 zoomToSelectionColonCtrlPlusLeftMousePlusdrag=\ Zoom to selection\: Ctrl + Left Mouse + Drag 
+pageProperties=Page properties
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3603)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3604)
@@ -53,6 +53,7 @@
 import org.eclipse.ui.internal.browser.BrowserViewer;
 import org.eclipse.ui.internal.browser.WebBrowserEditor;
 import org.txm.rcp.commands.ShowSelected;
+import org.txm.rcp.editors.menu.PagePropertiesMenu;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.IOClipboard;
 
@@ -290,19 +291,7 @@
 					public void widgetDefaultSelected(SelectionEvent e) {}
 				});
 				
-				MenuItem propertiesItem = new MenuItem(menu, SWT.NONE);
-				propertiesItem.setText(TXMUIMessages.Properties);
-				propertiesItem.addSelectionListener(new SelectionListener() {
-					
-					@Override
-					public void widgetSelected(SelectionEvent e) {
-						
-						ShowSelected.print(new File(TXMBrowserEditor.this.getBrowser().getUrl()));
-					}
-					
-					@Override
-					public void widgetDefaultSelected(SelectionEvent e) {}
-				});
+				MenuItem propertiesItem = new PagePropertiesMenu(getBrowser(), menu, SWT.NONE);
 			}
 			
 			@Override
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/menu/PagePropertiesMenu.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/menu/PagePropertiesMenu.java	(revision 0)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/menu/PagePropertiesMenu.java	(revision 3604)
@@ -0,0 +1,56 @@
+package org.txm.rcp.editors.menu;
+
+import java.net.URL;
+import java.nio.file.Paths;
+
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.browser.Browser;
+import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.events.SelectionListener;
+import org.eclipse.swt.widgets.Menu;
+import org.eclipse.swt.widgets.MenuItem;
+import org.txm.rcp.commands.ShowSelected;
+import org.txm.rcp.messages.TXMUIMessages;
+
+public class PagePropertiesMenu extends MenuItem {
+	
+	Browser browser;
+	
+	public PagePropertiesMenu(Browser browser, Menu menu, int style) {
+		
+		super(menu, style);
+		
+		this.browser = browser;
+		this.setText(TXMUIMessages.pageProperties);
+		this.addSelectionListener(new SelectionListener() {
+			
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				try {
+					String url = browser.getUrl();
+					if (url.startsWith("http://") || url.startsWith("https://")) {
+						System.out.println("URL="+url);
+					} else {
+						ShowSelected.print(Paths.get(new URL(url).toURI()).toFile());
+					}
+				}
+				catch (Exception e1) {
+					// TODO Auto-generated catch block
+					e1.printStackTrace();
+				}
+			}
+			
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {}
+		});
+	}
+	
+	/*
+	 * (non-Javadoc)
+	 * @see org.eclipse.swt.widgets.Combo#checkSubclass()
+	 */
+	@Override
+	protected void checkSubclass() {
+		
+	}
+}

Property changes on: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/menu/PagePropertiesMenu.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryWidget.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryWidget.java	(revision 3603)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryWidget.java	(revision 3604)
@@ -30,7 +30,6 @@
 import java.util.Deque;
 import java.util.LinkedList;
 
-import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
 import org.txm.searchengine.core.IQuery;
